Skip to main content
Version: v2

Companies

What are companies?​

Companies are a step above brands in the BAV hierarchy. Companies are the legal entities that own brands. These companies can be privately or publicly owned.

List all companies​

To list all of the companies and browse them via the API, use the list endpoint:

GET /api/v2/companies

Get a company​

You may also directly retrieve a company's details if you already have its system ID.

GET /api/v2/companies/123

Where 123 is the system ID of the company.

Schema​

Full response schema​

KeyTypeFilterableSortableConfigurableDescription
idinteger✅ (exact)✅✅The system ID.
namestring✅✅✅The primary name of the company.
descriptionstring✅❌✅A description of what the company does.
currencystring✅✅✅The primary reporting currency for the company.
isinstring✅✅✅The company's ISIN number (if public).
ipo_datestring✅✅✅When the company first had its initial public offering.
fiscal_year_endstring✅✅✅The month when the company's fiscal year ends.
street_addressstring✅✅✅The street address for the company's listed HQ.
statestring✅✅✅The state/region for the company's listed HQ.
postal_codestring✅✅✅The zip/postal code for the company's listed HQ.
citystring✅✅✅The city for the company's listed HQ.
website_urlstring✅✅✅The company's primary website URL.
officersarray✅❌✅An array of names and roles of the registered company officers.
created_atstring❌✅✅A datetime string when this company was first created.
updated_atstring(updated since)✅✅A datetime string when this company was last updated.

Relationship Response Schema​

The slim relationship schema is used when the company is used as part of an include in another resource.

KeyTypeDescription
idintegerThe system ID for the company.
namestringThe primary name of the company.

Additional Filters​

For convenience, we have a set of additional filters that are not available in the default filters or are part of the columns. These are:

  • public - Set to 1 to only return public (listed) companies.
  • private - Set to 1 to only return private (unlisted) companies.
  • brands - Set to a comma-separated list of brand IDs to only return companies that own those brands.

Relationships & includes​

By default, relationships apart from the sector are not included. See the includes section for more information on how this works. The following relationships are available:

  • brand - The brand relation if the company name is also a tracked brand name.
  • brands - The brands that belong to the company.
  • gics_sector - The GICS Sector that categorizes the company.
  • stock_exchanges - The stock exchanges that the company is listed on.
  • country - The country that the company is headquartered in.
  • latest_financials - The latest financials for the company (available for public companies).